:root {
  --artsound-auth-form-paddings: 2.5rem;

  --artsound-auth-color-accent-500: hsla(244, 79%, 52%, 1);
  --artsound-auth-color-accent-700: rgb(136, 128, 255);

  --artsound-auth-color-gray-100: rgba(50, 50, 50, 0.5);
  --artsound-auth-color-gray-300: hsla(0, 0%, 0%, 0.1);
  --artsound-auth-color-gray-500: hsla(0, 0%, 61%, 1);
  --artsound-auth-color-gray-700: hsla(210, 27%, 70%, 1);
  --artsound-auth-color-gray-900: rgb(255, 255, 255);

  --artsound-auth-font-family: "Vazir", "Yekan", "Shabnam";
  --artsound-auth-color-text: var(--artsound-auth-color-gray-500);
  --artsound-auth-color-header: var(--artsound-auth-color-gray-900);
  --artsound-auth-link-color: var(--artsound-auth-color-accent-700);

  --artsound-auth-form-control-border: none;
  --artsound-auth-form-control-padding: var(--artsound-auth-p2)
    var(--artsound-auth-p4);
  --artsound-auth-form-control-radius: 20px;
  --artsound-auth-form-control-background: var(--artsound-auth-color-gray-100);
  --artsound-auth-shadow-color: var(--artsound-auth-color-gray-300);
}

.artsound-auth-container {
  background-size: contain;
  display: flex;
  align-items: center;
  background: url("../img/Untitled-1.png") center center no-repeat;
  background-color: hsla(216, 33%, 97%, 1);
  background-color: var(--artsound-auth-color-gray-100);
}

.artsound-auth-inner {
  display: block;
  height: auto;
}

.artsound-auth-form {
  padding: 2.5rem;
  padding: var(--artsound-auth-form-paddings);
  background: rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(8px);
  border-radius: 12px;
  filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.5));
}

.artsound-auth-logo {
  color: hsla(210, 13%, 20%, 1);
  color: var(--artsound-auth-color-gray-900);
}

@media (min-width: 768px) {
  .artsound-auth-form {
    box-shadow: 0 3px 6px hsla(0, 0%, 0%, 0.1);
    box-shadow: var(--artsound-auth-shadow);
  }
}

.artsound-auth-form a {
  font-size: 0.875rem;
  font-size: var(--artsound-auth-text-sm);
}

/* FORMS */

.artsound-auth-form .form-group {
  margin-bottom: 1rem;
  margin-bottom: var(--artsound-auth-p4);
  background: hsla(216, 33%, 97%, 1);
  background: var(--artsound-auth-form-control-background);
  border-radius: 20px;
  border-radius: var(--artsound-auth-form-control-radius);
  transition: box-shadow 0.3s;
  border: 1px solid hsla(216, 33%, 97%, 1);
  border: 1px solid var(--artsound-auth-form-control-background);
}

/* BUTTONS */

.artsound-auth-form .btn {
  border-radius: 20px;
  border-radius: var(--artsound-auth-form-control-radius);
  font-weight: bold;
  padding: 0.5rem 1rem;
  padding: var(--artsound-auth-p2) var(--artsound-auth-p4);
}

/* INPUT ADDONS */

.artsound-auth-form .form-group .input-group-append .input-group-text {
  padding-right: 0.5rem;
  padding-right: var(--artsound-auth-p2);
}

.artsound-auth-form .form-group .input-group-append .input-group-text:hover {
  color: var(--artsound-auth-color-blue-500);
}

.artsound-auth-form .input-group-prepend .input-group-text {
  padding-left: 0.5rem;
  padding-left: var(--artsound-auth-p2);
}

.artsound-auth-container .line {
  background: hsla(0, 0%, 61%, 1);
  background: var(--artsound-auth-color-gray-500);
  height: 1px;
  margin-top: 12px;
  text-align: center;
}
.artsound-auth-container .line span {
  background: #fff;
  padding: 8px;
  position: relative;
  top: -12px;
}
